/**
 JS方法调用QT方法
 */

/**
  输出消息日志
*/
function log(str) {
    QT.log(str);
}

/**
  获取左侧菜单
*/
function listSoftCategories(){
    var softCategories_return = QT.listSoftCategories();
    var softCategories = JSON.parse(softCategories_return);

    showSoftCategories(softCategories);
}

/**
  根据软件名获取分类信息
*/
function viewSoftCategory(software){
    var softCategory_return = QT.viewSoftCategory(software);
    var softCategory = JSON.parse(softCategory_return);

    showSoftCategory(softCategory);
}

/**
  获取推荐软件信息
*/
function listRecommendISoftwares(){
    var isoftwares_return = QT.listRecommendISoftwares();
    var isoftwares = JSON.parse(isoftwares_return);
    showRecommendISoftwares(isoftwares);
}

/**
  获取排行软件信息
*/
function listTopISoftwares(){
    var isoftwares_return = QT.listTopISoftwares(10);
    var isoftwares = JSON.parse(isoftwares_return);

    showTopISoftwares(isoftwares);
}

/**
    获取本地软件版本号
*/
function getLocalSoftwareVersion(pkgName){
    return QT.getLocalSoftwareVersion(pkgName);
}

function checkGraphicsType()
{
     return QT.checkGraphicsType();
}

/**
  根据种类查询软件信息
*/
/**
function listISoftwaresByCategoryId(categoryId){
    var isoftwares_return = QT.listISoftwaresByCategoryId(categoryId);
    var isoftwares = JSON.parse(isoftwares_return);

    showISoftwares(isoftwares);
}
*/

/**
  查看软件详细信息
*/
function viewSoftware(software){
    var isoftwares_return = QT.viewSoftware(software);
    var isoftwares = JSON.parse(isoftwares_return);
    showSoftware(isoftwares);
}

/**
  记录软件评分评论信息
**/
function recordsoftwarescore(software, offline_comment, offline_score){
    QT.recordSoftwareScore(software,offline_comment, offline_score);
}

//function record_softwarecomment(software,comment){
//    QT.recordSoftwareComment(software, comment);

/**
  安装软件
*/
function installSoftware(software, cversion){
    QT.installSoftware(software, cversion);
}

/**
  列出APT任务
*/
function listAPTTasks(){
    var isoftwares_return = QT.listAPTTasks();
    var isoftwares = JSON.parse(isoftwares_return);

    showAPTTasks(isoftwares);
}

/**
  小窗口列出APT任务
*/
function listAPTTasks_small(){
    var isoftwares_return = QT.listAPTTasks();
    var isoftwares = JSON.parse(isoftwares_return);
    showAPTTasks_small(isoftwares);
}

/**
  隐藏APT任务小窗口
*/
function hideAPTTask_small(){
    QT.hideAPTTask_small();
}

/**
  显示APT任务大窗口
*/
function showAPTTask_page(){
    QT.showAPTTask_page();
}

/**
  列出可以被删除的软件
*/
function listRemoveSoftwares(){

    var softwares_return = QT.listRemoveSoftwares();
    var softwares = JSON.parse(softwares_return);

    showRemoveSoftwares(softwares);
}

/**
  卸载软件
*/
function removeSoftware(packageName, cv){
    QT.removeSoftware(packageName, cv);
}

/**
  列出可以被升级的软件
*/
function listUpgradeSoftwares(){
    var softwares_return = QT.listUpgradeSoftwares();
    var softwares = JSON.parse(softwares_return);

    showUpgradeSoftwares(softwares);
}

/**
  忽略软件
*/
function ignoreSoftware(packageName, nv){
    var ignored = QT.ignoreSoftware(packageName, nv, IGNORED_YES);
    showIgnoredSoftware(packageName, ignored);
    changedUpgradeSoftwaresNumber(ignored);
}

/**
  恢复软件
*/
function recoverSoftware(packageName, nv){
    var ignored = QT.ignoreSoftware(packageName, nv, IGNORED_NO);
    log(ignored);

    showIgnoredSoftware(packageName, ignored);
    changedUpgradeSoftwaresNumber(ignored);
}

/**
  升级软件
*/
function upgradeSoftware(packageName, nv){
    QT.upgradeSoftware(packageName, nv);
}

/**
  取消任务（目前只能取消下载任务）
*/
function cancelAPTTask(software, cversion){
    QT.cancelAPTTask(software, cversion);
}

/**
  暂停任务（目前只能暂停下载任务）
*/
function pauseAPTTask(software, cversion){
    QT.pauseAPTTask(software, cversion);
}

/**
  可升级软件数量显示
*/
function upgradeCountShow(){
    QT.upgradeCountShow();
}

/**
  搜索软件信息
*/
function searchISoftwares(categoryId, keyword, sortField, sort){
    var isoftwares_return = QT.searchISoftwares(categoryId, keyword, sortField, sort);
    var isoftwares = JSON.parse(isoftwares_return);
    showISoftwares(isoftwares);
}

/**
  分页搜索软件信息
*/
function searchISoftwares_datapage(categoryId, keyword, sortField, sort, pageNo){
    $(".showISoftwares").empty();
    var datapage_isoftwares_return = QT.searchISoftwares(categoryId, keyword, sortField, sort, pageNo);
    var datapage_isoftwares = JSON.parse(datapage_isoftwares_return);

    var isoftwares_return = datapage_isoftwares.data;
    if(!!!isoftwares_return){
	isoftwares_return="[]";
    }
    var isoftwares = JSON.parse(isoftwares_return);
    showISoftwares(isoftwares);

    var totalCount = datapage_isoftwares.totalCount;
    var currPage = datapage_isoftwares.currentPageNo;
    var pageCount = datapage_isoftwares.totalPageCount;
    if(totalCount > 0){
        $("#pagination").myPagination({
             currPage: currPage,
             pageCount: pageCount,
             cssStyle:'digg',
             ajax:{
               onClick:function(page){
                   //开启提示代码,需导入msgbox.js文件与样式.
                   //ZENG.msgbox.show(" 正在加载"+page+"页，请稍后...", 6, 1000);
                  pageNo = page;
                  searchISoftwares_datapage(categoryId, keyword, sortField, sort, pageNo);
               }
             },
             panel:{
                 'first_on':true,
                 'last_on':true
             }
        });
         _checkSoftwareStatus();
    }
}

/**
  搜索卸载列表软件信息
*/
function searchRemoveSoftwares(keyword){
    var softwares_return = QT.searchRemoveSoftwares(keyword);
    var softwares = JSON.parse(softwares_return);

    showRemoveSoftwares(softwares);
}

/**
  搜索升级列表软件信息
*/
function searchUpgradeSoftwares(keyword){
    var softwares_return = QT.searchUpgradeSoftwares(keyword);
    var softwares = JSON.parse(softwares_return);

    showUpgradeSoftwares(softwares);
}

function getOffline(){
    var offline = QT.getOffline();
    return offline;
}
function checkScorestatus(packageName){
	return QT.checkScorestatus(packageName);
}
function checkCommentstatus(packageName){
	return QT.checkCommentstatus(packageName);
}
function updateScorestatus(packageName){
	QT.updateScorestatus(packageName);
}
function updateCommentstatus(packageName){
	QT.updateCommentstatus(packageName);
}
function setbFglrxUpgradeTrue(){
    QT.setbFglrxUpgradeTrue()
}
